
#![allow(dead_code)]

#[macro_use] extern crate log;
#[macro_use] extern crate ad_hoc_iter;
#[macro_use] extern crate lazy_static;
//#[macro_use] extern crate lazy_format;
#[macro_use] extern crate serde;

use lazy_format::lazy_format;

use color_eyre::{
    eyre::{
	self,
	eyre,
	WrapErr,
    },
    SectionExt, Help,
};
use futures::Future;

mod sock;
mod store;
mod config;

fn setup() -> eyre::Result<()>
{
    color_eyre::install()?;
    pretty_env_logger::init();

    Ok(())
}

#[tokio::main]
async fn main() -> eyre::Result<()> {
    setup()?;

    
    
    Ok(())
}
